Subject: bug#37867: closed (Re: bug#37867: bug on x86_64-linux AMD box)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Oct 2020 04:11:02 +0000

Your bug report

#37867: bug on x86_64-linux AMD box

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37867: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37867
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37867: bug on x86_64-linux AMD box
From: Maxim Cournoyer <[email-masked]>
To: Leo Barge <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Oct 2020 00:10:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Leo,

Leo Barge <[email-masked]> writes:

[...]

> Full log written to
> /tmp/guix-build-glib-2.60.6.drv-0/build/meson-logs/testlog.txt
> @ build-log 3297 65
> command "meson" "test" "--no-suite" "flaky" failed with status 1
> builder for
> `/gnu/store/r1vq08xbknz6710yxwzgf0qvca6vyqwg-glib-2.60.6.drv' failed 
> with exit code 1

The CI reports some failures for the current glib version on master
2.62.6 but only for the ARM architecture [0].

Since you've mentioned you are also having freezes, it could well be a
hardware issue.  I've had lots of such problem with the first Ryzen
generation processors, where some power saving features had to be
disabled to get them into stable operation.

As there's nothing actionable for us to do here, I'll close the issue.

Thank you for the report!

Maxim

[0]  http://ci.guix.gnu.org/search?query=glib-2.62.6+status%3Afailed

Subject: bug on x86_64-linux AMD box
From: Leo Barge <[email-masked]>
To: [email-masked]
Date: Tue, 22 Oct 2019 05:48:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I found a bug.

I immediately went looking for the full log but failed to find it at the 
reported location in /tmp.  My box is a $3000 AMD system that freezes 
once or twice a day -- to let you know -- so now it is a $3000 television.

-------------------------------------------------------------------------------------------------------------------------------

At hour 0437 on date 22 OCT 2019, a ten-hour long guix pull that I ran 
ended with the following message, in a summary of operation:

Full log written to 
/tmp/guix-build-glib-2.60.6.drv-0/build/meson-logs/testlog.txt
@ build-log 3297 65
command "meson" "test" "--no-suite" "flaky" failed with status 1
builder for 
`/gnu/store/r1vq08xbknz6710yxwzgf0qvca6vyqwg-glib-2.60.6.drv' failed 
with exit code 1
@ build-failed 
/gnu/store/r1vq08xbknz6710yxwzgf0qvca6vyqwg-glib-2.60.6.drv - 1 builder 
for `/gnu/store/r1vq08xbknz6710yxwzgf0qvca6vyqwg-glib-2.60.6.drv' failed 
with exit code 1
cannot build derivation 
`/gnu/store/clkn2mpdv8yahp16skpdi879fwryjl6y-texlive-bin-20180414.drv': 
1 dependencies couldn't be built
cannot build derivation 
`/gnu/store/kr6c8rvrs745pjzs4dg3448fns5dmm21-po4a-0.56.drv': 1 
dependencies couldn't be built
Backtrace:
In ./guix/monads.scm:
     482:9 19 (_ _)
In ./guix/gexp.scm:
    590:13 18 (_ _)
In ./guix/store.scm:
    1685:8 17 (_ _)
In ./guix/gexp.scm:
     839:2 16 (_ _)
     695:2 15 (_ _)
In ./guix/monads.scm:
     482:9 14 (_ _)
In ./guix/gexp.scm:
    590:13 13 (_ _)
In ./guix/store.scm:
    1685:8 12 (_ _)
In ./guix/gexp.scm:
     839:2 11 (_ _)
     695:2 10 (_ _)
In ./guix/monads.scm:
     482:9  9 (_ _)
In ./guix/gexp.scm:
    590:13  8 (_ _)
In ./guix/store.scm:
    1685:8  7 (_ _)
    1685:8  6 (_ _)
   1708:38  5 (_ #<store-connection 256.99 84cc3c0>)
In ./guix/packages.scm:
    948:16  4 (cache! #<weak-table 438/883> #<package [email-masked] 8079?> ?)
In ./guix/grafts.scm:
     323:4  3 (graft-derivation #<store-connection 256.99 84cc3c0> # # ?)
     172:4  2 (references-oracle #<store-connection 256.99 84cc3c0> #)
    182:20  1 (_ _ _)
In ./guix/store.scm:
   1215:15  0 (_ #<store-connection 256.99 84cc3c0> _ _)

./guix/store.scm:1215:15: Throw to key `srfi-34' with args `(#<condition 
&store-protocol-error [message: "build of 
`/gnu/store/kr6c8rvrs745pjzs4dg3448fns5dmm21-po4a-0.56.drv' failed" 
status: 100] 5dce210>)'.
guix pull: error: You found a bug: the program 
'/gnu/store/p5jy9sxbl93208sn6rp2487b8jydrwhm-compute-guix-derivation'
failed to compute the derivation for Guix (version: 
"f5d6c88d0f5e1556295c1a19c46ddfcb7a23107f"; system: "x86_64-linux";
host version: "f27c6c16be002d3c132cfc09c5911384be853f27"; pull-version: 1).
Please report it by email to <[email-masked]>.

Leo

Communist Party

Ashland, Oregon